Merge Contacts
Merges the contact identified by from_id into the contact identified by the id path parameter. The id contact is retained.
Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the resource.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Unique identifier of the related from.
uuidResponse Body
application/json
curl -X POST "https://api.getmateo.com/v1/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/merge" \ -H "Content-Type: application/json" \ -d '{ "from_id": "bc3fe72f-b766-4da9-a758-da6fa33e2040" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24T14:15:22Z", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}List Contacts GET
Returns a paginated list of contacts.
Update Contact by Locator PATCH
Provide exactly one contact locator: - `external_id` - `secondary_external_id` - `email_address` - `sms_phone_number` - `whatsapp_phone_number` - `facebook_user_id` - `instagram_user_id` - `postal_address` Custom fields can be written as additional top-level properties using each custom field `key`. Values are validated against the field definitions returned by List Custom Fields.